
json_helper={}

json_helper.EMPTY_SOURCE = '{}'

function json_helper.loadJsonFile(FileName, DefaultSource)
   local File = io.open(FileName, 'read')
   if not File then
      return json.parse{data=StartArray}
   end
   local JsonSource = File:read('*a')
   if JsonSource == '' then
      return json.parse{data=DefaultSource}
   end
   return json.parse{data=JsonSource}
end

function json_helper.loadJsonFileSafe(FileName, DefaultSource)
   local Success, JsonTree = pcall(json_helper.loadJsonFile, FileName, DefaultSource)
   if Success then
      return JsonTree
   end
   return json.parse{data=DefaultSource}
end


local function getJsonValueImp(Source, Name)
   return Source[Name]
end

function json_helper.getJsonValue(Source, Name, Default)
   Success, Result = pcall(getJsonValueImp, Source, Name)
   if Success then
      if Result == nil then
         return Default
      end
      return Result
   end
   return Default
end
